Bug 1306938 - Add netty package
Add netty package
Status: CLOSED ERRATA
Product: Red Hat Software Collections
Classification: Red Hat
Component: rh-java-common (Show other bugs)
rh-java-common
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: 2.2
Assigned To: Michal Srb
Lukas Zachar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 03:58 EST by Marek Skalický
Modified: 2016-05-31 06:22 EDT (History)
6 users (show)

See Also:
Fixed In Version: rh-java-common-netty-4.0.28-2.3.el6 rh-java-common-netty-4.0.28-2.3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-31 06:22:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Skalický 2016-02-12 03:58:09 EST
Description of problem:
Netty package is a requirement of new mongo-java-driver from rh-mongodb32 collection. Also devtoolset-4 SCL and thermostat1 SCL is using it. So it would be great to move it into rh-java-common collection, to reduce overall maintenance overhead.

To add this package it is necessary to add also 2 dependent packages: bouncycastle and bouncycastle-pkix.


Version-Release number of selected component (if applicable):
netty version 4.x

Actual results:
devtoolset contains netty (4.x)
thermostat1 contains netty (3.x) - it'll likely upgrade to 4.x soon too
rh-mongodb32 requires netty (4.x)

Expected results:
rh-java-common contains netty (4.x)
Comment 14 errata-xmlrpc 2016-05-31 06:22:07 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1164

Note You need to log in before you can comment on or make changes to this bug.